//
//  PaymentResponse.h
//  HesabeObjectiveCDemo
//  Copyright © 2020 Hesabe. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface PaymentResponse : NSObject

@property NSString *administrativeCharge;
@property NSString *amount;
@property NSInteger method;
@property NSString *paidOn;
@property NSString *paymentId;
@property NSInteger paymentToken;
@property NSString *resultCode;
@property NSString *orderReferenceNumber;
@property NSString *variable1;
@property NSString *variable2;
@property NSString *variable3;
@property NSString *variable4;
@property NSString *variable5;

- (instancetype)initWithDictionary:(NSDictionary*)dictionary;

@end

NS_ASSUME_NONNULL_END
