//
//  PaymentRequest.h
//  HesabeObjectiveCDemo
//  Copyright © 2020 Hesabe. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface PaymentRequest : NSObject

@property NSString *merchantCode;
@property NSString *amount;
@property NSString *responseUrl;
@property NSString *failureUrl;
@property NSString *orderReferenceNumber;
@property NSString *variable1;
@property NSString *variable2;
@property NSString *variable3;
@property NSString *variable4;
@property NSString *variable5;
@property NSString *paymentType;
@property NSString *version;

- (instancetype)initWithAmount:(NSString*)amount;
- (NSDictionary *)dictionaryWithPropertiesOfObject;

@end

NS_ASSUME_NONNULL_END
