//
//  PaymentResponse.m
//  HesabeObjectiveCDemo
//  Copyright © 2020 Hesabe. All rights reserved.
//

#import "PaymentResponse.h"

@implementation PaymentResponse

- (instancetype)initWithDictionary:(NSDictionary*)dictionary {
    if (self = [super init]) {
        self.administrativeCharge = dictionary[@"administrativeCharge"];
        self.amount = dictionary[@"amount"];
        self.method = [dictionary[@"method"] integerValue];
        self.paidOn = dictionary[@"paidOn"];
        self.paymentId = dictionary[@"paymentId"];
        self.paymentToken = [dictionary[@"paymentToken"] integerValue];
        self.resultCode = dictionary[@"resultCode"];
        self.orderReferenceNumber = dictionary[@"orderReferenceNumber"];
        self.variable1 = dictionary[@"variable1"];
        self.variable2 = dictionary[@"variable2"];
        self.variable3 = dictionary[@"variable3"];
        self.variable4 = dictionary[@"variable4"];
        self.variable5 = dictionary[@"variable5"];
    }
    return self;
}

@end
